List chats
curl --request POST \
--url https://api.livechatinc.com/v3.6/customer/action/list_chats \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.livechatinc.com/v3.6/customer/action/list_chats"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.livechatinc.com/v3.6/customer/action/list_chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next_page_id": "MTUxNzM5ODEzMTQ5Ng==",
"chats_summary": [
{
"id": "PJ0MRSHTDG",
"last_thread_id": "K600PKZON8",
"last_thread_created_at": "2026-06-08T08:22:21.128420Z",
"last_event_per_type": {
"message": {
"thread_id": "K600PKZON9",
"thread_created_at": "2026-06-07T07:11:28.288340Z",
"event": {
"id": "Q298LUVPRH_1",
"created_at": "2026-06-09T12:01:18.909000Z",
"type": "message",
"text": "hello world",
"author_id": "b7eff798-f8df-4364-8059-649c35c9ed0c"
}
}
},
"users": [
{
"id": "b7eff798-f8df-4364-8059-649c35c9ed0c",
"type": "customer",
"present": true
},
{
"id": "b5657aff34dd32e198160d54666df9d8",
"name": "Agent Smith",
"type": "agent",
"present": true,
"avatar": "https://example.com/avatar.png",
"job_title": "Support Agent"
}
],
"access": {
"group_ids": [
0
]
},
"properties": {},
"active": true
}
],
"total_chats": 1
}Chats
List chats
Returns summaries of the chats a customer participated in.
POST
/
action
/
list_chats
List chats
Authorizations
Customer access token obtained from the customer authorization flow.
Query Parameters
Unique identifier of the organization.
Body
application/json
Response
200 - application/json
Chat summaries.
Array of chat summary objects.
Show child attributes
Show child attributes
Estimated total number of chats. The real number can slightly differ.
The pagination token for the next page.
The pagination token for the previous page.
Was this page helpful?
⌘I